12/16/2005 01:36 PM - Matthew Brooke

Status: Resolved Start date: 12/16/2005
Priority: Normal Due date:

Assignee: Dan Higgins % Done: 0%
Category: general Estimated time: 0.00 hour
Target version: 1.0.0rc1 Spent time: 0.00 hour
Bugzilla-ld: 2323

Description

When using Batik rendering:

In existing workflows that use the ptolemy.kernel.util.Attribute for
annotations, the annotation text does not wrap - instead, it is all on one long
line.

| can't find a plain "Attribute" in the actor library, so maybe this is only a
problem with existing workflows. Should people be using the annotation actor
(ptolemy.vergil.kernel.attributes. TextAttribute) instead??

Related issues:
Blocked by Kepler - Bug #2245: TRACKING: Batik SVG Rendering - remaining tasks In Progress  11/04/2005

History

#1 - 02/28/2006 08:43 PM - Matthew Brooke

important for backwards compatibility - changing to P1

#2 - 04/10/2006 04:51 PM - Matthew Brooke

Spoke with Matt Jones on 10Apr06 - basically, any new text annotations created in Kepler will use the Annotation Actor
(ptolemy.vergil.kernel.attributes. TextAttribute class); only old workflows use the "Attribute" for annotation (ptolemy.kernel.util.Attribute). We also
noticed a problem whereby changes to the Attribute text do not show up in the workflow - another reason to move away from using plain Attributes for
text.

So - we decided that to resolve this bug, the workflows to be shipped with Kepler 1.0 should be inspected to see if they use the old-style
"ptolemy.kernel.util. Attribute" for text, and if so, they should be edited so they use the Annotation Actor instead
("ptolemy.vergil.kernel.attributes. TextAttribute").

#3 - 05/26/2006 10:40 AM - Matthew Brooke

Changed title, reassigned to Dan, and changed category to General (not Ul, but wasnt' sure which category "workflows" belongs to)

#4 - 06/08/2006 01:26 PM - Dan Higgins

There are a number of Ptolemy example workflow that have the 'non-wrapping' attribute problem that we cannot fix. (i.e. not in the Kepler code base)

#5 - 06/08/2006 01:30 PM - Christopher Brooks

Maybe we can create a filter that fixes the text

in the Ptolemy models so that it properly displays.
Is there a particular model that is wrong?

I'l see what | can do.

Also, the relation are offset in the Ptolemy models
because the SVG Icons have a different origin.

#6 - 04/06/2007 02:06 PM - Dan Higgins

None of the wfs shipped with recent beta release have this problem any longer, so | am lowering the priority.
#7 - 12/10/2007 01:27 PM - Dan Higgins

This has been completed with all workflows in the 'demos' subdirectory. A few examples may still exist in the 'workflows' subdirectory, but those
examples are provided as examples only and not guaranteed to work.
#8 - 03/27/2013 02:19 PM - Redmine Admin
Original Bugzilla ID was 2323

03/20/2024 22


http://www.tcpdf.org

